import request from '@/utils/request'

// 上传轮播图
export function uploadBanner(data) {
  return request({
    url: '/picture/uploadpictureimage',
    method: 'post',
    data
  })
}

// 添加轮播图
export function submitBanner(data) {
  return request({
    url: '/picture/uploadbannerimageinfo',
    method: 'post',
    data
  })
}

// 删除轮播图
export function deleteBanner(data) {
  return request({
    url: '/picture/destorypicture',
    method: 'post',
    data
  })
}

// 获取轮播图列表
export function getBannerList(data) {
  return request({
    url: '/picture/getpicturelist',
    method: 'get',
    params: data
  })
}

// 修改轮播图
export function editBanner(data) {
  return request({
    url: '/picture/updatebannerimageinfo',
    method: 'post',
    data
  })
}
